-----------------------------------------------------------------------------------------------
-- Client Lua Script for ReloadButton
-- Copyright (c) NCsoft. All rights reserved
-----------------------------------------------------------------------------------------------
 
require "Window"
require "ChatSystemLib"
 
-----------------------------------------------------------------------------------------------
-- ReloadButton Module Definition
-----------------------------------------------------------------------------------------------
local ReloadButton = {} 
 
function ReloadButton:ReloadUP( wndHandler, wndControl, eMouseButton )
end

-----------------------------------------------------------------------------------------------
-- Constants
-----------------------------------------------------------------------------------------------
-- e.g. local kiExampleVariableMax = 999
 
-----------------------------------------------------------------------------------------------
-- Initialization
-----------------------------------------------------------------------------------------------
function ReloadButton:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 

    -- initialize variables here

    return o
end

function ReloadButton:Init()
	local bHasConfigureFunction = false
	local strConfigureButtonText = ""
	local tDependencies = {
		-- "UnitOrPackageName",
	}
    Apollo.RegisterAddon(self, bHasConfigureFunction, strConfigureButtonText, tDependencies)
end
 

-----------------------------------------------------------------------------------------------
-- ReloadButton OnLoad
-----------------------------------------------------------------------------------------------
function ReloadButton:OnLoad()
    -- load our form file
	self.xmlDoc = XmlDoc.CreateFromFile("ReloadButton.xml")
	self.xmlDoc:RegisterCallback("OnDocLoaded", self)
end

-----------------------------------------------------------------------------------------------
-- ReloadButton OnDocLoaded
-----------------------------------------------------------------------------------------------
function ReloadButton:OnDocLoaded()

	if self.xmlDoc ~= nil and self.xmlDoc:IsLoaded() then
		self.wndMain = Apollo.LoadForm(self.xmlDoc, "ReloadButton", nil, self)
		if self.wndMain == nil then
			Apollo.AddAddonErrorText(self, "Could not load the main window for some reason.")
			return
		end
		
	     self.wndMain:Show(true, true)

		 -- if the xmlDoc is no longer needed, you should set it to nil
		 self.xmlDoc = nil
		
		 -- Register handlers for events, slash commands and timer, etc.
		 -- e.g. Apollo.RegisterEventHandler("KeyDown", "OnKeyDown", self)


		-- -- Do additional Addon initialization here
	end

end

-----------------------------------------------------------------------------------------------
-- ReloadButton Functions
-----------------------------------------------------------------------------------------------
-- Define general functions here


-----------------------------------------------------------------------------------------------
-- ReloadButtonForm Functions
-----------------------------------------------------------------------------------------------

function ReloadButton:ReloadUp( wndHandler, wndControl, eMouseButton )
	RequestReloadUI()
end

-----------------------------------------------------------------------------------------------
-- ReloadButton Instance
-----------------------------------------------------------------------------------------------
local ReloadButtonInst = ReloadButton:new()
ReloadButtonInst:Init()
